;---------------------------------------------------------------------------
; Special Attacks

;---------------------------------------------------------------------------
; AMAGURIKEN
[Statedef 1000]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 1000
poweradd = 20

[State 1000, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 4,0

[State 1000, 1]
type = HitDef
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
trigger3 = AnimElem = 3
attr = S, SA
damage    = 6
animtype = Light
guardflag = MA
hitflag = MAF
priority = 6
pausetime = 6,6
numhits = 1
sparkno = 0, 5
sparkxy = -10,-60
hitsound = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 2
ground.hittime  = 11
ground.velocity = -1
guard.slidetime = 5
;guard.hittime  = 15
;guard.velocity = -4
;guard.ctrltime = 7
;airguard.velocity = -1.9,-.8
; airguard.ctrltime = 7
; air.type = High
air.velocity = -1,-3
air.hittime = 11
; attack.width = 3, 3

[State 1000, 3]
type = HitDef
trigger1 = AnimElem = 4
attr = S, SA
damage    = 20,2
animtype = Back
guardflag = MA
hitflag = MAF
priority = 7
pausetime = 13,15
numhits = 1
sparkno = 0, 3
sparkxy = -10,-70
hitsound = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 10
ground.hittime  = 11
ground.velocity = -4
air.type = Low
air.velocity = -4,-2

[State 1000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Moko Takabisha
[Statedef 1100]
type    = S
movetype= A
physics = S
juggle  = 5
velset = 0,0
ctrl = 0
anim = 1100

[State 1100, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0,0

[State 1100, 4]
type = Projectile
trigger1 = AnimElem = 3
projanim = 1105
projhitanim = 1106
projid = 1105
offset = 35, -58
velocity = 3, 0
accel = -.15
projremovetime = 21
; HitDef part of projectile info
attr = S, SP
damage    = 50,5
animtype = Medium
guardflag = MA
hitflag = MAFD
pausetime = 0,8
numhits = 1
sparkno = 0, 5
;sparkxy = -10,-60
hitsound = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 20
ground.hittime  = 20
ground.velocity = -6,-3
; guard.slidetime = 5
; guard.hittime  = 15
; guard.velocity = -4
; guard.ctrltime = 7
;airguard.velocity = -1.9,-.8
; airguard.ctrltime = 7
; air.type = High
air.velocity = -6,-3
;air.hittime = 20                  ;Time before oppoment regains control in air
; attack.width = 3, 3              ;Override default attack width
;fall = 1                         ;1 to cause opponent to fall (def: 0)
;fall.damage = 10                  ;Damage opponent takes on fall
;fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
;fall.animtype = Back             ;Animation type for falling people (def: Back)
;air.fall = 1                     ;1 to cause opponent to fall if in air (def: same as fall)
; down.velocity = ?,?              ;Velocity for opponents lying down (def: same as air.velocity)
;down.hittime = 70                ;Time opponent is stunned on ground (only for down.y-velocity = 0) (def: 20)
;down.bounce = 0                  ;Set to 1 for opponent to bounce on ground (def: 0)

[State 1100, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Hiryu Shoten Ha (Strong)
[Statedef 1200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 5                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 1200                       ;Change animation (Def: no change)

[State 1200, 0]
type = PlaySnd
trigger1 = AnimElem = 2
value = 3,0

[State 1200, 1]
type = HitDef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 6
trigger3 = AnimElem = 8
attr = S, SA
damage    = 20,2
animtype = Heavy
;getpower = 50,50
;givepower = 15,8
guardflag = MA
hitflag = MAFD
priority = 7
pausetime = 4,5
numhits = 1
sparkno = 0, 7
hitsound = 5,1
guardsound = 6,0
; mindist  = 0,0,0
; maxdist  = 0,0,0
; snap = 0,0,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = .5,-5
guard.velocity = -2
airguard.velocity = -2,-1
air.velocity = .5,-6
;p2facing = -1
air.hittime = 30
down.hittime = 70
down.bounce = 0

[State 1200, 2]
type = HitDef
trigger1 = AnimElem = 10
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage    = 30,3                   ;Damage that move inflicts
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
;getpower = 50,50                 ;Power to get on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
;givepower = 15,8                 ;Power to give opponent on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAFD                    ;Flags of conditions that move can hit
priority = 7
pausetime = 8,8                  ;Time attacker pauses, time victim shakes
numhits = 1                      ;Number of hits to count as (Def: 1)
sparkno = 0, 7                   ;Spark image group and no (Def: set above)
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
; snap = 0,0,0                     ;Snaps p2 to position rel to p1
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
ground.velocity = -2,-5             ;Velocity at which victim is pushed
; guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
; guard.hittime  = 15              ; (def: ground.hittime)
guard.velocity = -5              ; (def: ground.velocity)
; guard.ctrltime = 7               ;Time to regain control after guard (def: guard.slidetime)
; airguard.ctrltime = 7            ;Time to regain control after air guard (def: ground.ctrltime)
; air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -2,-5           ;X-velocity at which victim is pushed,
                                 ;Y-velocity at which victim is pushed
air.hittime = 20                  ;Time before oppoment regains control in air
; attack.width = 3, 3              ;Override default attack width
fall = 1                         ;1 to cause opponent to fall (def: 0)
;fall.damage = 10                  ;Damage opponent takes on fall
fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
fall.animtype = Back             ;Animation type for falling people (def: Back)
; air.fall = 0                     ;1 to cause opponent to fall if in air (def: same as fall)
; down.velocity = ?,?              ;Velocity for opponents lying down (def: same as air.velocity)
down.hittime = 70                ;Time opponent is stunned on ground (only for down.y-velocity = 0) (def: 20)
down.bounce = 1                  ;Set to 1 for opponent to bounce on ground (def: 0)

[State 1200, hur]
type = Projectile
trigger1 = AnimElem = 4
projanim = 1299
projremovetime = 27

[State 1200, nothit]
type = NotHitBy
trigger1 = Time >= 10
trigger1 = Time <= 37
value = ,NP,SP

[State 1200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Hiryu Shoten Ha (Weak)
[Statedef 1250]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 4                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 1250                       ;Change animation (Def: no change)

[State 1250, 0]
type = PlaySnd
trigger1 = AnimElem = 2
value = 3,0

[State 1250, 2]
type = HitDef
trigger1 = AnimElem = 4
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage    = 30,3                   ;Damage that move inflicts
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
getpower = 50,50                 ;Power to get on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
givepower = 15,8                 ;Power to give opponent on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAFD                    ;Flags of conditions that move can hit
priority = 7
pausetime = 8,8                  ;Time attacker pauses, time victim shakes
numhits = 1                      ;Number of hits to count as (Def: 1)
sparkno = 0, 7                   ;Spark image group and no (Def: set above)
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
; snap = 0,0,0                     ;Snaps p2 to position rel to p1
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
ground.velocity = -.5,-8             ;Velocity at which victim is pushed
guard.velocity = -5              ; (def: ground.velocity)
air.velocity = -.5,-7
air.hittime = 20                  ;Time before oppoment regains control in air
fall = 1                         ;1 to cause opponent to fall (def: 0)
fall.recover = 30
fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
fall.animtype = Back             ;Animation type for falling people (def: Back)
down.hittime = 70                ;Time opponent is stunned on ground (only for down.y-velocity = 0) (def: 20)
down.bounce = 1                  ;Set to 1 for opponent to bounce on ground (def: 0)

[State 1250, hur]
type = Projectile
trigger1 = AnimElem = 4
projanim = 1299
projremovetime = 10

[State 1250, nothit]
type = null;NotHitBy
trigger1 = Time >= 7
trigger1 = Time <= 20
value = ,NP,SP

[State 1250, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Rolling Attack (Strong)
[Statedef 1500]
type = A
movetype= A
juggle  = 3
;Commonly-used controllers:
ctrl = 0
anim = 1500

[State 1500, 1]
type = VelSet
trigger1 = Pos Y = 0
trigger1 = Time = 0
x = 5
y = -5

[State 1500, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,0

[State 1500, 3]
type = HitDef
trigger1 = AnimElem = 2
attr = A, SA
damage    = 15,2
animtype = Light
getpower = 10,5
givepower = 8,4
guardflag = MA
hitflag = MAFD
priority = 2
pausetime = 2,3
numhits = 1
sparkno = 0, 7
sparkxy = -10,0
hitsound = 5,0
guardsound = 6,0
ground.slidetime = 10
ground.hittime  = 20
ground.velocity = -2,0
guard.velocity = -2
air.velocity = -1,.5
air.hittime = 20

[State 1500, 4]
type = HitDef
trigger1 = AnimElem = 5
attr = A, SA
damage    = 40,4
animtype = Heavy
getpower = 50,25
givepower = 15,8
guardflag = HA
hitflag = MAFD
priority = 3
pausetime = 8,8
numhits = 1
sparkno = 0, 7
sparkxy = -10,0
hitsound = 5,0
guardsound = 6,0
;ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -3
guard.velocity = -2
air.velocity = -1,5
air.hittime = 10
air.fall = 1
fall.damage = 10

[State 1500, 5]
type = Gravity
trigger1 = Time >= 0

[State 1500, 7]
type = ChangeState
trigger1 = Pos Y >= 0
trigger1 = Vel Y > 0
value = 1505

[State 1500, nothit]
type = NotHitBy
trigger1 = Time >= 3
trigger1 = Time <= 12
value = ,NP,SP


[Statedef 1505]
type    = C
movetype= I
physics = C
anim = 1505
ctrl = 0

[State 1505, 1]
type = VelSet
trigger1 = Time = 0
y = 0

[State 1505, 2]
type = PosSet
trigger1 = Time = 0
y = 0

[State 1505, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 12
ctrl = 1

;---------------------------------------------------------------------------
; Rolling Attack (Weak)
[Statedef 1550]
type = A
movetype= A
juggle  = 2
;Commonly-used controllers:
ctrl = 0
anim = 1550

[State 1550, 1]
type = VelSet
trigger1 = Pos Y = 0
trigger1 = Time = 0
x = 5
y = -5

[State 1550, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,0

[State 1550, 3]
type = HitDef
trigger1 = AnimElem = 2
attr = A, SA
damage    = 20,2
animtype = Light
getpower = 10,5
givepower = 8,4
guardflag = MA
hitflag = MAFD
priority = 2
pausetime = 2,4
numhits = 1
sparkno = 0, 7
sparkxy = -10,0
hitsound = 5,0
guardsound = 6,0
ground.slidetime = 10
ground.hittime  = 25
ground.velocity = -2
guard.velocity = -2
air.velocity = -4,5
air.fall = 1

[State 1550, 5]
type = Gravity
trigger1 = Time >= 0

[State 1550, nothit]
type = NotHitBy
trigger1 = Time >= 3
;trigger1 = Time <= 20
value = ,NP,SP

[State 1550, 7]
type = ChangeState
trigger1 = AnimTime = 0
trigger1 = statetype = A
value = 50

[State 1550, land]
type = ChangeState
trigger1 = Pos Y >= 0
trigger1 = Vel Y > 0
value = 1505

[Statedef 1555]
type    = C
movetype= I
physics = C
anim = 1555
ctrl = 0

[State 1555, 1]
type = VelSet
trigger1 = Time = 0
y = 0

[State 1555, 1]
type = PosSet
trigger1 = Time = 0
y = 0

[State 1555, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 12
ctrl = 1

;---------------------------------------------------------------------------
; EXAMPLE
;[Statedef 200]
;type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
;movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
;physics = S                      ;Physics: S-stand, C-crouch, A-air
;juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
;ctrl = 0                         ;Set ctrl (Def: no change)
;anim = 200                       ;Change animation (Def: no change)
;poweradd = 20                    ;Power to add (Def: 0)

;[State 200, 1]
;type = HitDef
;trigger1 = AnimElem = 3
;attr = S, NA                     ;Attribute: Standing, Normal Attack
;damage    = 18                   ;Damage that move inflicts
;animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
;getpower = 30,15                 ;Power to get on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
;givepower = 15,8                 ;Power to give opponent on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
;guardflag = MA                   ;Flags on how move is to be guarded against
;hitflag = MAF                    ;Flags of conditions that move can hit
;priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
                                 ;Hit/Miss/Dodge type (Def: Hit)
;pausetime = 7,8                  ;Time attacker pauses, time victim shakes
;numhits = 1                      ;Number of hits to count as (Def: 1)
;sparkno = 0, 3                   ;Spark image group and no (Def: set above)
;sparkxy = -10,-70                ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
;hitsound = 5,0                   ;Sound to play on hit
;guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
; snap = 0,0,0                     ;Snaps p2 to position rel to p1
;ground.type = High                 ;Type: High, Low, Trip (def: Normal)
;ground.slidetime = 5             ;Time that the victim slides back
;ground.hittime  = 11             ;Time victim is in hit state
;ground.velocity = -4             ;Velocity at which victim is pushed
; guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
; guard.hittime  = 15              ; (def: ground.hittime)
; guard.velocity = -4              ; (def: ground.velocity)
; guard.ctrltime = 7               ;Time to regain control after guard (def: guard.slidetime)
;airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
; airguard.ctrltime = 7            ;Time to regain control after air guard (def: ground.ctrltime)
; air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
;air.velocity = -1.3,-3           ;X-velocity at which victim is pushed,
                                 ;Y-velocity at which victim is pushed
;air.hittime = 20                  ;Time before oppoment regains control in air
; attack.width = 3, 3              ;Override default attack width
; fall = 0                         ;1 to cause opponent to fall (def: 0)
; fall.damage = 0                  ;Damage opponent takes on fall
; fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
; fall.animtype = Back             ;Animation type for falling people (def: Back)
; air.fall = 0                     ;1 to cause opponent to fall if in air (def: same as fall)
; down.velocity = ?,?              ;Velocity for opponents lying down (def: same as air.velocity)
; down.hittime = 20                ;Time opponent is stunned on ground (only for down.y-velocity = 0) (def: 20)
; down.bounce = 0                  ;Set to 1 for opponent to bounce on ground (def: 0)

;[State 1000, 7]
;type = ChangeState
;trigger1 = AnimTime = 0
;value = 0
;ctrl = 1
