;-| Super Motions |--------------------------------------------------------
;"Shin" Amaguriken
[Command]
name = shin_amaguriken
command = ~F, ~D, B, x+y

;"Shin" Hiryu Shoten Ha
[Command]
name = shin_hiryu
command = ~F, D, DF, x+y

;Crazy Panda
[Command]
name = crazy_panda
command = ~40$B, F, a+b
time = 10

;-| Special Motions |------------------------------------------------------
;Hiryu Shoten Ha (strong)
[Command]
name = hiryu_strong
command = ~F, D, DF, y

;Hiryu Shoten Ha (weak)
[Command]
name = hiryu_weak
command = ~F, D, DF, x

;Moko Takabisha
[Command]
name = moko
command = ~D, DF, F, x

[Command]
name = moko
command = ~D, DF, F, y

;Rolling Attack
[Command]
name = rolla_strong
command = ~D, DB, B, b

[Command]
name = rolla_weak
command = ~D, DB, B, a

;Amaguriken
[Command]
name = back_x
command = /B,x
time = 1

[Command]
name = back_y
command = /B,y
time = 1

;-| Dodging |--------------------------------------------------------------
[Command]
name = roll_fwd
command = /F, a+x
time = 1

[Command]
name = roll_back
command = /B, a+x
time = 1

[Command]
name = dodge
command = a+x
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = fwd_x
command = /F,x
time = 1

[Command]
name = fwd_y
command = /F,y
time = 1

[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1

[Statedef -1]

;---------------------------------------------------------------------------
;Shin Hiryu Shoten Ha
[State -1]
type = ChangeState
value = 3100
triggerall = power >= 1000
triggerall = statetype = S
triggerall = command = shin_hiryu
trigger1 = ctrl = 1
trigger2 = stateno = 240
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Shin Amaguriken
[State -1]
type = ChangeState
value = 3000
triggerall = power >= 1000
triggerall = statetype = S
triggerall = command = shin_amaguriken
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger3 = stateno = 205
trigger4 = stateno = 230
trigger5 = stateno = 1000

;---------------------------------------------------------------------------
;Crazy Panda
[State -1]
type = ChangeState
value = 3200
triggerall = numprojid3205 = 0
triggerall = power >= 2000
triggerall = statetype = S
triggerall = command = crazy_panda
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Amaguriken
[State -1]
type = ChangeState
value = 1000
triggerall = statetype = S
trigger1 = command = back_x
trigger1 = stateno = 200
trigger2 = command = back_y
trigger2 = stateno = 230
trigger3 = command = back_y
trigger3 = stateno = 205

;---------------------------------------------------------------------------
; Hiryu Shoten Ha (Strong)
[State -1]
type = ChangeState
value = 1200
trigger1 = statetype = S
trigger1 = ctrl = 1
triggerall = command = hiryu_strong
trigger2 = stateno = 240
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; Hiryu Shoten Ha (Weak)
[State -1]
type = ChangeState
value = 1250
trigger1 = statetype = S
trigger1 = ctrl = 1
triggerall = command = hiryu_weak
trigger2 = stateno = 240
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; Moko Takabisha
[State -1]
type = ChangeState
value = 1100
triggerall = numprojid1105 = 0
triggerall = statetype = S
trigger1 = ctrl = 1
triggerall = command = moko

;---------------------------------------------------------------------------
; Rolling Attack (Weak)
[State -1]
type = ChangeState
value = 1550
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = ctrl = 1
trigger2 = Vel X >= 0
trigger2 = statetype = A
triggerall = command = rolla_weak
trigger3 = Vel X >= 0
trigger3 = statetype = A
trigger3 = stateno = 610
trigger4 = Vel X >= 0
trigger4 = statetype = A
trigger4 = stateno = 600

;---------------------------------------------------------------------------
; Rolling Attack (Strong)
[State -1]
type = ChangeState
value = 1500
triggerall = command = rolla_strong
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = ctrl = 1
trigger2 = Vel X >= 0
trigger2 = statetype = A
trigger2 = Pos Y <= -35
trigger3 = Vel X >= 0
trigger3 = statetype = A
trigger3 = stateno = 610
trigger3 = Pos Y <= -35
trigger4 = Vel X >= 0
trigger4 = statetype = A
trigger4 = stateno = 600
trigger4 = Pos Y <= -35

;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Roll Forward
[State -1]
type = ChangeState
value = 800
triggerall = command = roll_fwd
triggerall = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Roll Back
[State -1]
type = ChangeState
value = 810
triggerall = command = roll_back
triggerall = statetype != A
trigger1 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;Stand_Throw
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = fwd_b   ;Near, p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2bodydist X < 6
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_b   ;Near, p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2bodydist X < 6
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = back_b  ;Near, p2 stand
trigger3 = p2bodydist X < 8
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = back_b  ;Near, p2 crouch
trigger4 = p2bodydist X < 8
trigger4 = p2statetype = C
trigger4 = p2movetype != H

;---------------------------------------------------------------------------
;ELBOW
[State -1]
type = ChangeState
value = 230
triggerall = P2BodyDist X <= 12
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
triggerall = command = y
trigger2 = stateno = 210

;---------------------------------------------------------------------------
;HANDSTAND KICK
[State -1]
type = ChangeState
value = 240
triggerall = P2BodyDist X <= 12
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger3 = stateno = 1505

;---------------------------------------------------------------------------
;Stand_JAB
[State -1]
type = ChangeState
value = 200
triggerall = command = x
triggerall = command != holddown
triggerall = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_FIERCE
[State -1]
type = ChangeState
value = 205
triggerall = command != holddown
triggerall = statetype = S
trigger1 = ctrl = 1
triggerall = command = y
trigger2 = stateno = 210

;---------------------------------------------------------------------------
;Stand_SHORT
[State -1]
type = ChangeState
value = 210
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200

;---------------------------------------------------------------------------
;Stand_ROUND_HOUSE
[State -1]
type = ChangeState
value = 220
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 230
trigger5 = stateno = 410

;---------------------------------------------------------------------------
;Crouch_JAB
[State -1]
type = ChangeState
value = 400
triggerall = command = x
triggerall = command = holddown
triggerall = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger3 = stateno = 410

;---------------------------------------------------------------------------
;Crouch_FIERCE
[State -1]
type = ChangeState
value = 405
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 410

;---------------------------------------------------------------------------
;Crouch_SHORT
[State -1]
type = ChangeState
value = 410
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 410

;---------------------------------------------------------------------------
;Crouch_SWEEP
[State -1]
type = ChangeState
value = 420
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 410
trigger3 = stateno = 400

;---------------------------------------------------------------------------
;Jump from HStandKick or Weak HiryuShotenHa
[State -1]
type = ChangeState
value = 40
triggerall = command = holdup
triggerall = movecontact = 1
trigger1 = stateno = 1250
trigger2 = stateno = 240

;---------------------------------------------------------------------------
;Jump_JAB
[State -1]
type = ChangeState
value = 600
trigger1 = command = x
triggerall = statetype = A
triggerall = ctrl = 1

;---------------------------------------------------------------------------
;Jump_FIERCE
[State -1]
type = ChangeState
value = 605
triggerall = command = y
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 610

;---------------------------------------------------------------------------
;STOMP
[State -1]
type = ChangeState
value = 640
triggerall = command = b
triggerall = command = holddown
triggerall = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_KNEE
[State -1]
type = ChangeState
value = 610
triggerall = command = a
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600

;---------------------------------------------------------------------------
;Jump_KICK
[State -1]
type = ChangeState
value = 620
triggerall = command = b
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 610
trigger3 = stateno = 600