;---------------------------------------------------------------------------
; HYPER AMAGURIKEN
[Statedef 3000]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
velset = 2,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 3000                       ;Change animation (Def: no change)
poweradd = -1000                    ;Power to add (Def: 0)

[State 3000, 0]
type = PlaySnd
trigger1 = AnimElem = 2
value = 4,0

[State 3000, 2]
type = SuperPause
trigger1 = AnimElem = 1
;time = 20
pos = -11, -62

[State 3000, 3]
type = PlaySnd
trigger1 = AnimElem = 1
value = F20, 0 ; Play fight sound of super

[State 3000, 4]
type = AfterImage
trigger1 = Time = 0
time = 1
framegap = 6
length = 25

[State 3000, 5]
type = AfterImageTime
trigger1 = Time >= 0
time = 5

[State 3000, 6]
type = HitDef
trigger1 = AnimElem = 3
trigger2 = AnimElem = 5
trigger3 = AnimElem = 7
trigger4 = AnimElem = 9
trigger5 = AnimElem = 11
trigger6 = AnimElem = 13
trigger7 = AnimElem = 15
trigger8 = AnimElem = 17
attr = S, HA                     ;Attribute: Standing, Normal Attack
damage    = 12,2
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 6
pausetime = 4,4                  ;Time attacker pauses, time victim shakes
numhits = 1
sparkno = 0,4
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,2                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
snap = 50,-10,0                     ;Snaps p2 to position rel to p1
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 2             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
guard.velocity = -4              ; (def: ground.velocity)
kill = 0

[State 3000, 7]
type = HitDef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 6
trigger3 = AnimElem = 8
trigger4 = AnimElem = 10
trigger5 = AnimElem = 12
trigger6 = AnimElem = 14
trigger7 = AnimElem = 16
attr = S, HA                     ;Attribute: Standing, Normal Attack
damage    = 12,2                   ;Damage that move inflicts
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 6
pausetime = 4,4                  ;Time attacker pauses, time victim shakes
numhits = 1                      ;Number of hits to count as (Def: 1)
sparkno = 0,5
sparkxy = -10,-65                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,2                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
snap = 50,-15,0                     ;Snaps p2 to position rel to p1
ground.type = Low                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 2             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
guard.velocity = -4              ; (def: ground.velocity)
kill = 0

[State 3000, 8]
type = HitDef
trigger1 = AnimElem = 18
attr = S, HA                     ;Attribute: Standing, Normal Attack
damage    = 40,3                   ;Damage that move inflicts
animtype = Back                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 7
                                 ;Hit/Miss/Dodge type (Def: Hit)
pausetime = 15,15                 ;Time attacker pauses, time victim shakes
numhits = 1                      ;Number of hits to count as (Def: 1)
sparkno = 0, 7                   ;Spark image group and no (Def: set above)
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
; snap = 0,0,0                     ;Snaps p2 to position rel to p1
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 4             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
ground.velocity = -8,-3             ;Velocity at which victim is pushed
guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
; guard.hittime  = 15              ; (def: ground.hittime)
guard.velocity = -4              ; (def: ground.velocity)
; guard.ctrltime = 7               ;Time to regain control after guard (def: guard.slidetime)
;airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
; airguard.ctrltime = 7            ;Time to regain control after air guard (def: ground.ctrltime)
; air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -4,-3           ;X-velocity at which victim is pushed,
fall = 1
fall.damage = 0                  ;Damage opponent takes on fall
fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
fall.animtype = Back             ;Animation type for falling people (def: Back)

[State 3000, 10]
type = GameMakeAnim
trigger1 = Time <= 37
trigger1 = MoveHit = 1
value = 5
pos = 65,-60
random = 30

[State 3000, 15]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Shin Hiryu Shoten Ha
[Statedef 3100]
type    = S
movetype= A
physics = S
juggle  = 1
;Commonly-used controllers:
velset = 0,0
ctrl = 0
anim = 3100
poweradd = -1000

[State 3100, 0]
type = SuperPause
trigger1 = AnimElem = 2
;time = 20
pos = 0, -50

[State 3100, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = F20, 0 ; Play fight sound of super

[State 3100, 2]
type = null;PosAdd
trigger1 = Time >= 8
trigger1 = Time <= 50
x = 1

[State 3100, 3]
type = GameMakeAnim
trigger1 = Time <= 50
trigger1 = MoveHit = 1
value = 5
pos = -3,-60
random = 60

[State 3100, 4]
type = HitDef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 6
trigger3 = AnimElem = 8
trigger4 = AnimElem = 10
trigger5 = AnimElem = 12
trigger6 = AnimElem = 14
trigger7 = AnimElem = 16
trigger8 = AnimElem = 18
trigger9 = AnimElem = 20
attr = S, HA
damage    = 20,2
animtype = Medium
;getpower = 50,50
;givepower = 15,8
guardflag = MA
hitflag = MAFD
priority = 7
pausetime = 0,0
numhits = 2
hitsound = 5,0
;sparkno = 0, 7
guardsound = 6,0
snap = 0,-10,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = 1,-3
guard.velocity = -2
airguard.velocity = -2,-1
air.velocity = 1,-3
;p2facing = 1
air.hittime = 30
down.hittime = 70
down.bounce = 0
kill = 0

[State 3100, 5]
type = HitDef
trigger1 = AnimElem = 22
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage    = 50,3                   ;Damage that move inflicts
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
;getpower = 50,50                 ;Power to get on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
;givepower = 15,8                 ;Power to give opponent on hit, on guard
                                 ;(Def Hit: 0)  (Def Guard: 1/2 of hit power)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAFD                    ;Flags of conditions that move can hit
priority = 7
pausetime = 8,8                  ;Time attacker pauses, time victim shakes
numhits = 1                      ;Number of hits to count as (Def: 1)
;sparkno = 0, 7                   ;Spark image group and no (Def: set above)
;sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
; snap = 0,0,0                     ;Snaps p2 to position rel to p1
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
ground.velocity = -4,-8             ;Velocity at which victim is pushed
; guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
; guard.hittime  = 15              ; (def: ground.hittime)
guard.velocity = -5              ; (def: ground.velocity)
; guard.ctrltime = 7               ;Time to regain control after guard (def: guard.slidetime)
; airguard.ctrltime = 7            ;Time to regain control after air guard (def: ground.ctrltime)
; air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -4,-8           ;X-velocity at which victim is pushed,
                                 ;Y-velocity at which victim is pushed
air.hittime = 20                  ;Time before oppoment regains control in air
fall = 1
fall.damage = 0                  ;Damage opponent takes on fall
fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
fall.animtype = Back             ;Animation type for falling people (def: Back)

[State 3100, 7]
type = PlaySnd
trigger1 = AnimElem = 3
value = 3,0

[State 3100, 13]
type = Projectile
trigger1 = AnimElem = 5
trigger2 = AnimElem = 9
trigger3 = AnimElem = 13
trigger4 = AnimElem = 17
trigger5 = AnimElem = 21
projanim = 1299
offset = 25, 0
velocity = -1, 0
accel = -.1
projremovetime = 20

[State 3100, 14]
type = Projectile
trigger5 = AnimElem = 3
trigger1 = AnimElem = 7
trigger2 = AnimElem = 11
trigger3 = AnimElem = 15
trigger4 = AnimElem = 19
projanim = 1299
offset = -20, 0
velocity = 1, 0
accel = .1
projremovetime = 20

[State 3100, 15]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crazy Panda
[Statedef 3200]
type    = S
movetype= A
physics = S
velset = 0
ctrl = 0
poweradd = -2000
anim = 3200

[State 3200, 0]
type = SuperPause
trigger1 = AnimElem = 1
;time = 20
pos = -11, -62

[State 3200, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = F20, 0 ; Play fight sound of super

[State 3200, sound]
type = null;PlaySnd
trigger1 = Time = 0
value = 8,3 ;Popo!
volume = 30

[State 3200, 4]
type = Projectile
trigger1 = Time = 4
projid = 3205
projanim = 3205
projhitanim = 3205
projshadow = -1
postype = back
offset = -40, 0        ;Creation offset from player (x,y)
velocity = 6, 0       ;Speed fireball moves (x,y) (optional)
remvelocity = 6, 0     ;Speed fireball moves when being removed (x,y) (opt)
accel = 0, 0            ;Acceleration (opt)
projhits = 12
projmisstime = 1
projremove = 0
; HitDef part of projectile info
attr = S, HP
damage    = 20,2
getpower  = 50
givepower = 30
hitflag = MAFD
guardflag = MA
pausetime = 7,7
sparkno = 0,5
sparkxy = 25, -60
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -5,-2
fall = 1
;fall.damage = 25
;fall.yvelocity = -12
airguard.velocity = -3.5,-1
air.type = High
;air.velocity = -2.5,-1
air.velocity = -1,-5
air.juggle = 0;3

[State 3200, 6]
type = ChangeState
trigger1 = Time = 10
value = 0
ctrl = 1